org.keycloak.representations.idm

## Class EventRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.EventRepresentation

-     public class EventRepresentation
      extends Object

  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientId()`
    `Map<String,String>` | `getDetails()`
    `String` | `getError()`
    `String` | `getIpAddress()`
    `String` | `getRealmId()`
    `String` | `getSessionId()`
    `long` | `getTime()`
    `String` | `getType()`
    `String` | `getUserId()`
    `int` | `hashCode()`
    `void` | `setClientId(String clientId)`
    `void` | `setDetails(Map<String,String> details)`
    `void` | `setError(String error)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setRealmId(String realmId)`
    `void` | `setSessionId(String sessionId)`
    `void` | `setTime(long time)`
    `void` | `setType(String type)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventRepresentation

          public EventRepresentation()

  - ### Method Detail

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getSessionId

          public String getSessionId()

    - #### setSessionId

          public void setSessionId(String sessionId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDetails

          public Map<String,String> getDetails()

    - #### setDetails

          public void setDetails(Map<String,String> details)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.